return {
	{
		"nvim-telescope/telescope.nvim",
		dependencies = { "nvim-lua/plenary.nvim" },
		config = function()
			local builtin = require("telescope.builtin")
			require("telescope").setup({
				defaults = {
					prompt_prefix = " ",
					entry_prefix = "  ",
					initial_mode = "insert",
					sorting_strategy = "ascending",
					file_ignore_patterns = {
						"node_modules",
						".git",
						"__pycache__",
						"*.pyc",
						"dist",
						"build",
					},
					-- Disable treesitter in preview
					preview = {
						treesitter = false,
					},
				},
			})
			vim.keymap.set("n", "<C-p>", builtin.find_files, {})
			vim.keymap.set("n", "<leader>fg", builtin.live_grep, {})
		end,
	},
	{
		"nvim-telescope/telescope-ui-select.nvim",
		config = function()
			require("telescope").load_extension("ui-select")
		end,
	},
}
